--- title: "getCloudCacheTargetSubnetList" slug: "database-vcache-getcloudcachetargetsubnetlist" updated: 2026-09-17T10:05:51Z published: 2026-09-17T10:05:51Z canonical: "api.ncloud-docs.com/database-vcache-getcloudcachetargetsubnetlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getCloudCacheTargetSubnetList Available in VPC Get the list of subnets available in Cloud DB for Cache. Note Cloud DB for Cache API offers two versions based on the supported DBMS range. - getCloudCacheTargetSubnetList API: Support for Valkey and Redis DBMS - getCloudRedisTargetSubnetList API: Support for Redis DBMS ## getCloudCacheTargetSubnetList API This section describes the request and response formats for the getCloudCacheTargetSubnetList API. ### Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /getCloudCacheTargetSubnetList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. #### Request headers For information about the headers common to all Cloud DB for Cache APIs, see [Common Cloud DB for Cache headers](/docs/en/database-vcache#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). #### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code of the subnet to view - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region of the `getRegionList` query result (default). | | `vpcNo` | String | Required | Filter by VPC number. - See [getCloudCacheTargetVpcList](/docs/en/database-vcache-getcloudcachetargetvpclist). | | `cloudCacheImageProductCode` | String | Required | Filter by Cloud DB for Cache image product code. - See [getCloudCacheImageProductList](/docs/en/database-vcache-getcloudcacheimageproductlist). | | `isPublic` | Boolean | Optional | Filter by public subnet status. - `true` \| `false` | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | #### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vcache/v2/getCloudCacheTargetSubnetList ?regionCode=KR &vpcNo=39** &cloudCacheImageProductCode=SW.VRDS.OS.LNX64.ROCKY.0810.VALKY.B050' --header 'x-ncp-apigw-timestamp: {Timestamp}' --header 'x-ncp-iam-access-key: {Access Key}' --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ### Response This section describes the response format. #### Response body See [TargetSubnetList](/docs/en/common-vapidatatype-targetsubnetlist) for the response body. #### Response status codes For information about the HTTP status codes common to all Cloud DB for Cache (VPC) APIs, see [Cloud DB for Cache (VPC) response status codes](/docs/en/database-vcache#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). #### Response example The response example is as follows: - If `responseFormatType=xml` (default) ``` 3d4f057b-fa19-4baa-9cbc-d49074665ae9 0 success 1 57** f** 39** exercise2 KR-1 10.2.1.0/24 false 2022-03-24T18:00:00+0900 ``` ## getCloudRedisTargetSubnetList API This section describes the request and response formats for the getCloudRedisTargetSubnetList API. ### Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vredis/v2/getCloudRedisTargetSubnetList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. #### Request headers For information about the headers common to all Cloud DB for Cache APIs, see [Common Cloud DB for Cache headers](/docs/en/database-vcache#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). #### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code of the subnet to view - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region of the `getRegionList` query result (default). | | `vpcNo` | String | Required | Filter by VPC number. - See [getCloudCacheTargetVpcList](/docs/en/database-vcache-getcloudcachetargetvpclist). | | `cloudRedisImageProductCode` | String | Required | Filter by Cloud DB for Cache image product code. - See [getCloudCacheImageProductList](/docs/en/database-vcache-getcloudcacheimageproductlist). | | `isPublic` | Boolean | Optional | Filter by public subnet status. - `true` \| `false` | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | #### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vredis/v2/getCloudRedisTargetSubnetList ?regionCode=KR ?vpcNo=****83 ?cloudRedisImageProductCode=SW.VDBAS.VRDS.LNX64.CNTOS.0708.REDIS.7015.B050' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ### Response This section describes the response format. #### Response body See [TargetSubnetList](/docs/en/common-vapidatatype-targetsubnetlist) for the response body. #### Response status codes For information about the HTTP status codes common to all Cloud DB for Cache (VPC) APIs, see [Cloud DB for Cache (VPC) response status codes](/docs/en/database-vcache#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). #### Response example The response example is as follows: - If `responseFormatType=json` ``` { "getCloudRedisTargetSubnetListResponse": { "totalRows": 3, "targetSubnetList": [ { "subnetNo": "****91", "subnetName": "f**", "vpcNo": "****83", "vpcName": "te**", "zoneCode": "KR-1", "subnet": "192.168.1.0/28", "isPublic": false, "createdDate": "2024-05-28T09:44:21+0900" } ], "requestId": "7c37c61d-****-****-****-ae81a5bc3e9a", "returnCode": "0", "returnMessage": "success" } } ``` - If `responseFormatType=xml` (default) ``` 7c37c61d-****-****-****-ae81a5bc3e9a 0 success 1 ****91 f** 39** te** KR-1 192.168.1.0/28 false 2024-05-28T09:44:21+0900 ```